summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorchip <chip>2004-12-04 21:39:05 +0000
committerchip <chip>2004-12-04 21:39:05 +0000
commitcd99a9c42bf395e228c6a070634e111f5da019cd (patch)
tree5f297e50d7e1d81184ad5105b0f0e34abc7da684
parent2312040530af18422dd811e4338a4ae81bdcada4 (diff)
downloadnfs-utils-cd99a9c42bf395e228c6a070634e111f5da019cd.tar.gz
nfs-utils-cd99a9c42bf395e228c6a070634e111f5da019cd.tar.xz
nfs-utils-cd99a9c42bf395e228c6a070634e111f5da019cd.zip
Cosmetics and quoting.
-rwxr-xr-xdebian/nfs-common.init30
-rwxr-xr-xdebian/nfs-kernel-server.init30
2 files changed, 30 insertions, 30 deletions
diff --git a/debian/nfs-common.init b/debian/nfs-common.init
index c46e832..b6fb962 100755
--- a/debian/nfs-common.init
+++ b/debian/nfs-common.init
@@ -52,25 +52,25 @@ esac
# Exit if required binaries are missing.
[ -x $PREFIX/sbin/rpc.statd ] || exit 0
-[ -x $PREFIX/sbin/rpc.lockd ] || [ "$NEED_LOCKD" = no ] || exit 0
-[ -x /usr/sbin/rpc.idmapd ] || [ "$NEED_IDMAPD" = no ] || exit 0
-[ -x /usr/sbin/rpc.gssd ] || [ "$NEED_GSSD" = no ] || exit 0
+[ -x $PREFIX/sbin/rpc.lockd ] || [ "$NEED_LOCKD" = no ] || exit 0
+[ -x /usr/sbin/rpc.idmapd ] || [ "$NEED_IDMAPD" = no ] || exit 0
+[ -x /usr/sbin/rpc.gssd ] || [ "$NEED_GSSD" = no ] || exit 0
do_modprobe() {
- modprobe -q $1 || true
+ modprobe -q "$1" || true
}
do_mount() {
- if ! grep -E -qs "$1\$" /proc/filesystems
- then
- return 1
- fi
- if ! mountpoint -q $2
- then
- mount -t $1 $3 $1 $2
- return
- fi
- return 0
+ if ! grep -E -qs "$1\$" /proc/filesystems
+ then
+ return 1
+ fi
+ if ! mountpoint -q "$2"
+ then
+ mount -t "$1" "$1" "$2"
+ return
+ fi
+ return 0
}
# See how we were called.
@@ -90,7 +90,7 @@ case "$1" in
if [ "$NEED_IDMAPD" = yes ] || [ "$NEED_GSSD" = yes ]
then
do_modprobe nfs
- if do_mount rpc_pipefs $PIPEFS_MOUNTPOINT;
+ if do_mount rpc_pipefs $PIPEFS_MOUNTPOINT
then
if [ "$NEED_IDMAPD" = yes ]
then
diff --git a/debian/nfs-kernel-server.init b/debian/nfs-kernel-server.init
index 23215ec..11ff438 100755
--- a/debian/nfs-kernel-server.init
+++ b/debian/nfs-kernel-server.init
@@ -17,9 +17,9 @@ DESC="NFS kernel daemon"
PREFIX=/usr
# Exit if required binaries are missing.
-[ -x $PREFIX/sbin/rpc.nfsd ] || exit 0
-[ -x $PREFIX/sbin/rpc.mountd ] || exit 0
-[ -x $PREFIX/sbin/exportfs ] || exit 0
+[ -x $PREFIX/sbin/rpc.nfsd ] || exit 0
+[ -x $PREFIX/sbin/rpc.mountd ] || exit 0
+[ -x $PREFIX/sbin/exportfs ] || exit 0
[ -x $PREFIX/sbin/rpc.svcgssd ] || exit 0
# Read config
@@ -35,20 +35,20 @@ if [ -f $DEFAULTFILE ]; then
fi
do_modprobe() {
- modprobe -q $1 || true
+ modprobe -q "$1" || true
}
do_mount() {
- if ! grep -E -qs "$1\$" /proc/filesystems
- then
- return 1
- fi
- if ! mountpoint -q $2
- then
- mount -t $1 $3 $1 $2
- return
- fi
- return 0
+ if ! grep -E -qs "$1\$" /proc/filesystems
+ then
+ return 1
+ fi
+ if ! mountpoint -q "$2"
+ then
+ mount -t "$1" "$1" "$2"
+ return
+ fi
+ return 0
}
# See how we were called.
@@ -70,7 +70,7 @@ case "$1" in
start-stop-daemon --start --quiet \
--make-pidfile --pidfile /var/run/rpc.svcgssd.pid \
--exec $PREFIX/sbin/rpc.svcgssd -- $RPCSVCGSSDOPTS
- fi
+ fi
printf " nfsd"
start-stop-daemon --start --quiet \